Package com.germinus.easyconf

# Class JndiURL

java.lang.Object
com.germinus.easyconf.JndiURL

public class JndiURL extends Object
Represents the URL to a JNDI tree as specified in a properties file TODO: Add support for ASP applications

Version:
  $Revision: 1.2 $
Author:
  Jorge Ferrer

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`companyId`
`private String`
`componentName`
`private static InitialContext`
`ctx`
`private static final String`
`JNDI_PREFIX`
`private String`
`jndiPrefix`

## Constructor Summary

Constructors
Constructor
Description
`JndiURL(String jndiPath, String companyId, String componentName)`

## Method Summary

Modifier and Type
Method
Description
`Configuration`
`getConfiguration()`
`private InitialContext`
`getContext()`
`String`
`getPrefix()`
`static boolean`
`isJndi(String sourcePath)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### JNDI_PREFIX

private static final String JNDI_PREFIX

See Also:
  - Constant Field Values

### ctx

private static InitialContext ctx

### jndiPrefix

private String jndiPrefix

### companyId

private String companyId

### componentName

private String componentName

## Constructor Details

### JndiURL

public JndiURL(String jndiPath, String companyId, String componentName)

## Method Details

### getContext

private InitialContext getContext() throws NamingException

Throws:
  `NamingException`

### isJndi

public static boolean isJndi(String sourcePath)

### getPrefix

public String getPrefix()

### getConfiguration

public Configuration getConfiguration()